Bug 1655066

Summary: [RFE] volume info through heketi needs to be more clear with details like replicate,distribute etc
Product: Red Hat Gluster Storage Reporter: nchilaka <nchilaka>
Component: heketiAssignee: John Mulligan <jmulligan>
Status: CLOSED CURRENTRELEASE QA Contact: Prasanth <pprakash>
Severity: low Docs Contact:
Priority: unspecified    
Version: rhgs-3.4CC: hchiramm, jmulligan, kramdoss, madam, rhs-bugs, rtalur, storage-qa-internal
Target Milestone: ---Keywords: ZStream
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-08 19:16:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description nchilaka 2018-11-30 13:02:31 UTC
Description of problem:

volume info from heketi presents data to admin which is not clear.
Eg: whether a volume is only replica(1x3) or distributed replica(nx3), it displays as distribute+replica=3


In below case a 8x3 volume was created, yet heketi displays details as below

[root@dhcp35-72 heketi]# heketi-cli volume info  462fdf4357dc8678322208f65afbc280  
Name: basevol
Size: 40
Volume Id: 462fdf4357dc8678322208f65afbc280
Cluster Id: 6c77b0471fd950d36e1f0b35fe46f96a
Mount: 10.70.35.38:basevol
Mount Options: backup-volfile-servers=10.70.35.140,10.70.35.218,10.70.35.127,10.70.35.83,10.70.35.184
Block: false
Free Size: 0
Reserved Size: 0
Block Hosting Restriction: (none)
Block Volumes: []
Durability Type: replicate 
Distributed+Replica: 3  ====>it should show as 8x3 (even change "Distributed+Replica" string to "DistributedxReplica")

No where we get the details of whether the volume is distributed replicate or not.

While it may not be very useful in most of the cases(hence the severity is low), atleast the admin gets a fair idea on the actual configuration


Version-Release number of selected component (if applicable):
==============
heketi 8
rhgs3.4.2

Comment 2 Raghavendra Talur 2019-01-24 20:36:01 UTC
John and I discussed this. We do have the durability type in Volumeinfo API, we also have the brick list. Using both we can show a better description of volume as requested.

Comment 4 Michael Adam 2019-02-05 14:19:54 UTC
Agreed fix is available as PR upstream and will be merged soon.
Trivial to verify.
Proposing for 3.11.2

Comment 8 Yaniv Kaul 2019-08-08 10:42:18 UTC
Will it get into 3.11.4?

Comment 9 John Mulligan 2019-08-08 13:18:22 UTC
I think so, yes. It's part of heketi v9 which we're rebasing to in OCS 3.11.4.